<link href="//netdna.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//netdna.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
<script src="//code.jquery.com/jquery-1.11.1.min.js"></script>

<link href="//netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.min.css" rel="stylesheet">
<div class="container">
  <div class="row">
    <div class="col-md-offset-2 col-md-8 col-lg-offset-3 col-lg-6">
      <div class="well profile">
        <div class="col-mg-12">
          <div class="col-xs-6 col-mg-4">
            <h2>{{user.firstName}} {{user.lastName}}</h2>
            <p><strong>About: </strong> {{user.about}} </p>
          </div>
          <div class="col-xs-6 col-mg-4 text-center">
            <figure>
              <img src="assets/images/{{name}}.jpg" alt="" class="img-circle img-responsive">
            </figure>
          </div>
          <div class="col-xs-6 col-mg-4 emphasis">
            <button class="btn btn-success btn-block" routerLink="/message/{{user.userName}}"><span class="fa fa-plus-circle"></span> Send Message </button>
            
          </div>
        </div>
      </div>
    </div>
  </div>
</div> -->

<div class="container">
  <div *ngIf="isLoggedUser()">
    Welcome <b>{{name}}</b>.<br /> You have posted <b>{{postLength}}</b> time(s) and commented
    <b>{{commentLength}}</b> time(s).
    You can check your post history below.
    <br />
    

    
    <div class="custom-file">
    <input type="file" (change)="onFileSelected($event)" class="custom-file-input" id="customFile" required autofocus>
    <label class="custom-file-label" for="customFile">Choose file for profile picture</label>
  </div>
    
    
    
    <button type="submit" class="sign-up col-md-12"(click)="onUpload()">
      Change Profile Picture
    </button>
  </div>
  <div *ngIf="!isLoggedUser()"><br /><b>{{name}}</b> posted <b>{{postLength}}</b>
    time(s).
    Here are all posts from <b>{{name}}</b>:
  </div>
  <hr />
  <div>
    Your Posts:
  </div>
  <app-post-tile [posts]="posts"></app-post-tile>
  <hr />
  <div *ngFor="let comment of comments">
    <div class="comment">
      <div class="username">
        <a routerLink="/user/comment.username">{{comment.userName}}</a>
      </div>
      <div>
        <p>{{comment.duration}}</p>
      </div>
      <b>{{comment.text}}</b>
    </div>
    <hr />
  </div>
</div>